Bug 140645 - Installer/if-up inconsistent on use of wireless WEP key
Summary: Installer/if-up inconsistent on use of wireless WEP key
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-23 23:40 UTC by Rick Wagner
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-15 16:55:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rick Wagner 2004-11-23 23:40:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Installing with a wireless network, the installer asks for the network
key.  This is stored in the profiles (ifcfg-eth0) as a variable
"WEPKEY=xxxx".  However the ifup-wireless script checks for, and uses,
the variable "KEY".  Thus the wireless does not activate on boot.

Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1.noarch.rpm

How reproducible:
Always

Steps to Reproduce:
1. New install of FC3, wireless attached
2. Prompted for encryption key; enter it
3. Boot system.  Wireless does not connect AP.
 
    

Actual Results:  No connection to access point.  iwconfig shows no key.

Expected Results:  To be connected to the network via access point.

Additional info:

Change ifup-wireless to also check for and use WEPKEY in addtion to
KEY. Or change ifcfg-eth0 from WEPKEY to KEY.  Wireless now connects
at boot.

Comment 1 Harald Hoyer 2004-11-24 09:14:05 UTC
reassigning to anaconda, which should have stored the key in keys-eth0
with "KEY=" 

Comment 2 Jeremy Katz 2004-12-01 04:04:33 UTC
Whoops, gui was using WEPKEY instead of KEY by accident.  Fixed that.
 Note that KEY= in /etc/sysconfig/network-scripts/ifcfg-<interface> is
valid.  I have also changed it to put the key in the keys file and
chmod that as 0600 instead, though, also.


Note You need to log in before you can comment on or make changes to this bug.